> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/develop-apps/community-libraries.md).

# Community libraries

### Community libraries by languages

#### HTML/JavaScript

* [Source code of Custom URL for "Thank you" page](https://github.com/Ecwid/custom-thank-you-page-app). \
  Works as a storefront app with settings in Ecwid admin (Native application).
* [Source code of a sample native application for Ecwid](https://github.com/Ecwid/sample-native-app). \
  Use it to start working on your app settings page in Ecwid admin.&#x20;

#### Java/Kotlin

* [Ecwid's Java/Kotlin API client library](https://github.com/Ecwid/ecwid-java-api-client)

#### Ruby

* [A gem to interface with the Ecwid REST APIs](https://github.com/Convead/ecwid_api) by [Convead](https://convead.com/) Last updated: 2020
* [A Ruby gem for the Ecwid REST API](https://github.com/davidbiehl/ecwid_api) by [David Biehl](https://github.com/davidbiehl) Last updated: 2016

#### PHP

* [A simple Ecwid oAuth2 client](https://github.com/Ecwid/ecwid-oauth2-client-php)
* [Alternative Ecwid OAuth 2.0 Client Provider](https://github.com/mugnate/oauth2-ecwid) for The PHP League OAuth2-Client with packagist support
* [Connect your app with MailChimp](https://github.com/jp26jp/Ecwid-Third-Party-App-MailChimp-Integration)

#### C\#

* [C# services for Ecwid API](https://github.com/kroniak/extensions-ecwid)

#### Next.js Commerce

* <https://github.com/Ecwid/ecwid-nextjs-commerce>

### Community libraries by website builders

#### WordPress

* <https://wordpress.org/plugins/ecwid-shopping-cart/>

#### Joomla

* <https://extensions.joomla.org/extension/ecwid/>

#### Drupal

* <https://www.drupal.org/project/ecwid_shopping_cart>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/develop-apps/community-libraries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
